Subject: Re: What's in git.git

From: Jakub Narebski <[email-masked]>
Date: Mon, 18 Sep 2006 08:07:21 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> Junio C Hamano wrote:
>>
>>>   - An experimental git-for-each-ref command to help language
>>>     bindings to get information on many refs at once.  Hopefully
>>>     Jakub can teach gitweb to use it to speed things up.
>>
>> I use 'origin' (or 'next') version of gitweb, while using _released_
>> version of git (git-core-1.4.2.1-1.i386.rpm). So at least for now 
>> I wouldn't be able to _test_ the git-for-each-ref.
> 
> That's not a good excuse, though.  It means you cannot propose
> new core-side support that only gitweb would benefit from
> initially, since we will not add new stuff to the core that does
> not have real users, and new stuff in the core must be cooked in
> "next" before it is proven to be useful and correct.
 
But this also means that if I were for example to use git-for-each-ref
in gitweb, I couldn't _test_ if it works. Ah, well, if you can live with
PATCH/RFC... But I'd rather wait for git-for-each-ref in _released_ version
of git. 

On the other side as you said the true test for new core stuff is to use
it. Perhaps someone who runs 'master' or 'next' version of git...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git